<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>#{messages['gazelle.HL7Common.FHIRRespondersSUT']}</h1>
                <s:decorate template="/sut/configurationsTable_common.xhtml">
                    <ui:param name="confman" value="#{fhirResponderSUTConfManager}"/>
                    <ui:param name="restrictAccess" value="#{true}"/>
                    <ui:define name="additionalText"/>
                    <ui:define name="filters">
                        <div class="form-horizontal">
                            <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                <ui:define name="label">#{messages['gazelle.hl7.Usage']}</ui:define>
                                <ui:param name="id" value="usageFilter"/>
                                <h:selectOneMenu value="#{fhirResponderSUTConfManager.filteredUsage}"
                                                 id="usageFilter" styleClass="form-control gzl-select-text">
                                    <s:selectItems value="#{fhirResponderSUTConfManager.getPossibleListUsages()}"
                                                   var="us" label="#{us.getLabelForFilter()}"
                                                   noSelectionLabel="#{messages['gazelle.hl7.ShowAll']}"/>
                                    <a4j:ajax event="change" render="globalForm"/>
                                </h:selectOneMenu>
                            </ui:decorate>
                            <h:panelGroup rendered="#{identity.loggedIn}">
                                <ui:include src="/filter/filter.xhtml">
                                    <ui:param name="filter" value="#{fhirResponderSUTConfManager.filter}"/>
                                    <ui:param name="filterId" value="owner"/>
                                    <ui:param name="filterName" value="#{messages['gazelle.simu.Owner']}"/>
                                    <ui:param name="filterForm" value="globalForm"/>
                                </ui:include>
                            </h:panelGroup>
                        </div>
                    </ui:define>
                    <ui:param name="globalFormId" value="globalForm"/>
                </s:decorate>
                <s:decorate template="/sut/editSystemConfig_common.xhtml">
                    <ui:param name="confman" value="#{fhirResponderSUTConfManager}"/>
                    <ui:param name="restrictAccess" value="true"/>
                    <ui:param name="displayUsageSelection" value="true"/>
                    <ui:param name="displayUrlInput" value="true"/>
                </s:decorate>
                <ui:include src="/sut/configModalPanel.xhtml">
                    <ui:param name="confman" value="#{fhirResponderSUTConfManager}"/>
                </ui:include>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>